bots.validate
Check a definition before publishing.
Checks the current workflow definition for structural errors โ missing required fields, invalid node configurations, broken edge references โ without placing a call or creating a run.
If invalid, the response includes a list of errors each with a kind (node, edge, or workflow), the offending id, the field, and a human-readable message. See Errors for the full error schema.
Reference
POST/api/v1/workflows/{workflow_id}/validate
- Auth
- API key in
X-API-Key - Content
- none
- Returns
- 200 ยท ValidateWorkflowResponse
Validate all nodes in a workflow to ensure they have required fields. Args: workflow_id: The ID of the workflow to validate user: The authenticated user Returns: Object indicating if workflow is valid and any invalid nodes/edges
Arguments
| Argument | In | Type | Required | Description |
|---|---|---|---|---|
workflow_id | path | integer | required |
Example request
curl -X POST "https://api.decibyl.ai/api/v1/workflows/<workflow_id>/validate" \
-H "X-API-Key: dcb_your_key"Response
{
"is_valid": true,
"errors": [
{
"kind": "node",
"id": "string",
"field": "string",
"message": "string"
}
]
}Errors
| Status | When |
|---|---|
404 | Not found |
422 | Validation Error |